#include<cstdio>
#include<vector>
#include<set>
#include<map>
#include<queue>
#include<algorithm>
#include<string>
#include<utility>
#include<cassert>
using namespace std;
 
#define REP(i,a,b) for(i=a;i<b;i++)
#define rep(i,n) REP(i,0,n)
 
#define ll long long
#define ull unsigned ll
 
ull A[100000], *A1, *A2;
ull B1[4][3000000], B2[4][3000000]; int B1s[4], B2s[4];
 
int main(){
  int i, j, k, l, ok;
  int n, n1, n2, a, b;
  ull x, xx, xxx, xxxx;
 
  assert( scanf("%d",&n)==1 );
  assert(4<=n && n<=100000);
  rep(i,n) assert(scanf("%llu",A+i)==1);
 
  if(n >= 2*(64+2)){ puts("Yes"); return 0; }
 
  n1 = n/2;
  n2 = n-n1;
  A1 = A; A2 = A+n1;
  rep(i,4) B1s[i] = B2s[i] = 0;
 
  rep(i,n1){
    x = A1[i];
    B1[0][B1s[0]++] = x;
    REP(j,i+1,n1){
      xx = x^A1[j];
      B1[1][B1s[1]++] = xx;
      REP(k,j+1,n1){
        xxx = xx^A1[k];
        B1[2][B1s[2]++] = xxx;
        REP(l,k+1,n1){
          xxxx = xxx^A1[l];
          B1[3][B1s[3]++] = xxxx;
        }
      }
    }
  }
  
  rep(i,n2){
    x = A2[i];
    B2[0][B2s[0]++] = x;
    REP(j,i+1,n2){
      xx = x^A2[j];
      B2[1][B2s[1]++] = xx;
      REP(k,j+1,n2){
        xxx = xx^A2[k];
        B2[2][B2s[2]++] = xxx;
        REP(l,k+1,n2){
          xxxx = xxx^A2[l];
          B2[3][B2s[3]++] = xxxx;
        }
      }
    }
  }
 
  rep(i,4) sort(B1[i], B1[i]+B1s[i]), sort(B2[i], B2[i]+B2s[i]);
  if(B1s[3] && B1[3][0]==0){ puts("Yes"); return 0; }
  if(B2s[3] && B2[3][0]==0){ puts("Yes"); return 0; }
 
  REP(k,1,4){
    l = 4-k;
    a = b = 0;
    while(a < B1s[k-1] && b < B2s[l-1]){
      if(B1[k-1][a] == B2[l-1][b]){ puts("Yes"); return 0; }
      if(B1[k-1][a] < B2[l-1][b]) a++; else b++;
    }
  }
 
  puts("No");
 
  return 0;
}
 
